// noinspection JSUnresolvedFunction
export default {
    inject: ['getPrevData', 'getDetail', 'getMajorTree', 'getMajor', 'getResult'],
    computed: {
        pageData() {
            // rename to pageData, in case `prevData` is conflict with `MxTransferPageMixins`
            return this.getPrevData()
        },
        detail() {
            return this.getDetail()
        },
        majorTree() {
            // noinspection JSUnresolvedFunction
            return this.getMajorTree()
        },
        major() {
            return this.getMajor()
        },
        result() {
            // noinspection JSUnresolvedFunction
            return this.getResult()
        }
    }
}